> For a complete page index, fetch https://developer.close.com/llms.txt # List or filter all dialer sessions GET https://api.close.com/api/v1/dialer/ Reference: https://developer.close.com/api/resources/dialers/list ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `organization_id` (string, optional, nullable) - `source_type` (enum, optional, nullable) - Allowed values: `saved-search`, `shared-entry` - `source_value` (string, optional, nullable) - `status` (string, optional, nullable) - `status__in` (string, optional, nullable) - `user_id` (string, optional, nullable) - `_limit` (integer, optional, default: 100) — Number of results to return. - `_skip` (integer, optional, default: 0) — Number of results to skip before returning, for pagination. ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Response** ```json { "data": [ { "caller_id": null, "date_created": "2018-07-17T12:35:01.230707", "date_updated": "2018-07-31T14:15:11.496227", "id": "dial_23eLaYZDjeL8tzFQMW5sto", "is_user_dependent": false, "music_preference": "tone1", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "ring_mode": "more-voicemails", "source_type": "saved-search", "source_value": "save_lch8hNQFbD9MgvMZbprURV715VVs1DEXSUl1xOA74p0", "status": "inactive", "type": "power", "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "users": [ { "is_active": false, "state": "inactive", "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ] }, { "caller_id": "+14356128874", "date_created": "2018-07-31T13:45:07.444155", "date_updated": "2018-07-31T13:45:42.875237", "id": "dial_4DejEkNkJOWj1jvqf5f6LO", "is_user_dependent": false, "music_preference": "tone1", "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH", "ring_mode": "more-voicemails", "source_type": "saved-search", "source_value": "save_iKY1BB4HsI5Zzbgz3J20ycs8aPZK3Z9fq7rArkA85Gi", "status": "inactive", "type": "predictive", "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "users": [ { "is_active": false, "state": "inactive", "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA" } ] } ], "has_more": false } ``` **SDK Code** ```python dialers_list_example import requests url = "https://api.close.com/api/v1/dialer/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript dialers_list_example const url = 'https://api.close.com/api/v1/dialer/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go dialers_list_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/dialer/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby dialers_list_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/dialer/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java dialers_list_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/dialer/") .basicAuth("", "") .asString(); ``` ```php dialers_list_example request('GET', 'https://api.close.com/api/v1/dialer/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp dialers_list_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/dialer/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```